import request from '@/utils/request'

// 查询PSSR驳回原因列表
export function listTurndown(query) {
  return request({
    url: '/pssr/turndown/list',
    method: 'get',
    params: query
  })
}

// 查询PSSR驳回原因详细
export function getTurndown(id) {
  return request({
    url: '/pssr/turndown/' + id,
    method: 'get'
  })
}

// 新增PSSR驳回原因
export function addTurndown(data) {
  return request({
    url: '/pssr/turndown',
    method: 'post',
    data: data
  })
}

// 修改PSSR驳回原因
export function updateTurndown(data) {
  return request({
    url: '/pssr/turndown',
    method: 'put',
    data: data
  })
}

//
export function updateTurndownBatch(data) {
  return request({
    url: '/pssr/turndown/editBatch',
    method: 'put',
    data: data
  })
}


// 删除PSSR驳回原因
export function delTurndown(id) {
  return request({
    url: '/pssr/turndown/' + id,
    method: 'delete'
  })
}

// 导出PSSR驳回原因
export function exportTurndown(query) {
  return request({
    url: '/pssr/turndown/export',
    method: 'get',
    params: query
  })
}
